Bug 1336816 - python-django-authority: Provide a Python 3 subpackage
Summary: python-django-authority: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django-authority
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-05-17 13:46 UTC by Tomas Orsava
Modified: 2016-08-31 10:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-31 10:11:25 UTC
Type: Bug


Attachments (Terms of Use)
updated spec file (4.71 KB, text/x-matlab)
2016-07-24 13:42 UTC, Jan Beran
no flags Details
spec diff (3.25 KB, text/plain)
2016-07-24 13:43 UTC, Jan Beran
no flags Details
updated spec file (4.72 KB, patch)
2016-07-25 09:21 UTC, Jan Beran
no flags Details | Diff
fixed patch (4.77 KB, patch)
2016-07-25 18:15 UTC, Jan Beran
no flags Details | Diff
Correction of %doc and %license macros in the spec file (4.79 KB, patch)
2016-07-29 14:01 UTC, Jan Beran
no flags Details | Diff
Updated spec file (4.88 KB, patch)
2016-08-03 10:22 UTC, Jan Beran
no flags Details | Diff

Description Tomas Orsava 2016-05-17 13:46:44 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Jan Beran 2016-07-24 13:40:55 UTC
I have prepared Python 3 patch which includes
- update to version 0.11,
- url and source update,
- porting the specfile to Python 3.

Comment 2 Jan Beran 2016-07-24 13:42:25 UTC
Created attachment 1183371 [details]
updated spec file

Comment 3 Jan Beran 2016-07-24 13:43:50 UTC
Created attachment 1183372 [details]
spec diff

Comment 4 Jan Beran 2016-07-25 09:21:58 UTC
Created attachment 1183645 [details]
updated spec file

Corrections in python2-django-authority package:
python-django -> python2-django
python-setuptools -> python2-setuptools

Correction of missing /doc item at %docs

Comment 5 Tomas Orsava 2016-07-25 16:25:15 UTC
Hi Jan!

The patch looks great!

Just a small nit pick, I think you should retain the "Provides:       %{pkgname} = %{version}-%{release}" tag from the original spec file for backwards compatibility. Apart from that, everything looks excellent!

Comment 6 Jan Beran 2016-07-25 18:15:50 UTC
Created attachment 1183909 [details]
fixed patch

Hi Tomas, thank you for the review.

I have attached the fixed patch.

Comment 7 Jan Kurik 2016-07-26 04:22:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 8 Jan Beran 2016-07-29 14:01:35 UTC
Created attachment 1185569 [details]
Correction of %doc and %license macros in the spec file

Comment 9 Jan Beran 2016-07-29 17:26:21 UTC
Hi Tomáš, thank you for the review and your hint. I have corrected the specfile. May I ask you to check again?

Comment 10 Tomas Orsava 2016-08-01 09:44:02 UTC
Hi again, Jan!

The patch looks ready to me!

Comment 11 Jan Beran 2016-08-01 12:45:42 UTC
Tomáš, thank you for the review.

Hi Matthias, the attached spec file is ready to provide the Python 3 subpackage.

Comment 12 Jan Beran 2016-08-03 10:22:07 UTC
Created attachment 1187001 [details]
Updated spec file

Hi Matthias,

I have updated the spec file according to your recommendation (bug #1311552), the patch is ready for you.

Comment 13 Lumír Balhar 2016-08-30 07:00:59 UTC
Hello.

If maintainer has nothing against, we can push this changes after a week.


Note You need to log in before you can comment on or make changes to this bug.